<?php

define('LICENCE_ANONYMOUS', -1);
define('LICENCE_USER', 0);
define('LICENCE_MODERATOR', 1);
define('LICENCE_ADMIN', 2);

function utf2ascii($text)
{
  $return = Str_Replace(
    Array("á","č","ď","é","ě","í","ľ","ň","ó","ř","š","ť","ú","ů","ý","ž","Á","Č","Ď","É","Ě","Í","Ľ","Ň","Ó","Ř","Š","Ť","Ú","Ů","Ý","Ž") ,
    Array("a","c","d","e","e","i","l","n","o","r","s","t","u","u","y","z","A","C","D","E","E","I","L","N","O","R","S","T","U","U","Y","Z") ,
    $text);
  //$return = Str_Replace(Array(" ", "_"), "-", $return); //nahradí mezery a podtržítka pomlčkami
  //$return = Str_Replace(Array("(",")",".","!",",","\"","'"), "", $return); //odstraní ().!,"'
  //$return = StrToLower($return); // velká písmena nahradí malými.
  return($return);
}

function ListPaging($Address, $Table, $Where, $ItemsPerPage, $CurrentPage)
{
  global $Database;
  	
  $Line = mysql_fetch_row($Database->SQLCommand('SELECT count(*) FROM '.$Table.' '.$Where));        
  $ItemCount = floor($Line[0] / $ItemsPerPage);
        
  echo('Počet položek: <strong>'.$Line[0].'</strong> &nbsp; Zobrazit stránku: ');

  if($CurrentPage > $ItemCount) $CurrentPage = ($ItemCount / $ItemsPerPage) - 1;
  for($Page = 1; $Page <= $ItemCount+1; $Page++) 
  {
    if($CurrentPage == $Page) echo('<strong>'.$Page.'</strong> ');
      else echo('<a href="'.$Address.$Page.'">'.$Page.'</a> ');
  }
  echo('<br />');       
}

function FormatOutput($s)
{
    $out = '';
    $nn = 0;
    $n = 0;
    while($s!='')
    {
      $start = strpos($s,'<');
  	  $end = strpos($s,'>');
    	if($start != 0) 
    	{
	      $end = $start-1;
	      $start = 0;
	    }
	    $line = trim(substr($s,$start,$end+1));
	    if(strlen($line)>0) 
	    if($line[0] == '<')
	    {
  	    if($s[$start+1] == '/') 
	      {
  	      $n = $n - 2;
		      $nn = $n;
	      } else 
	      {
     	    if(strpos($line,' ')) $cmd = substr($line,1,strpos($line,' ')-1);
	        else $cmd = substr($line,1,strlen($line)-2);
          //echo('['.$cmd.']');
		      if(strpos($s,'</'.$cmd.'>')) $n = $n + 2;
	      }   
	    }// else $line = '['.$line.']';
      //if($line != '') echo(htmlspecialchars(str_repeat(' ',$nn).$line."\n"));
	    if($line != '') $out .= (str_repeat(' ',$nn).$line."\n");
	    $s = substr($s,$end+1,strlen($s));
	    $nn = $n;
    }
    return($out);
}

function WriteLanguages($Selected)
{
   echo('<select name="Language">');
   echo('<option value="1"'); if ($Selected == '1') echo(' selected="selected"'); echo('>Českého jazyka</option>');
   echo('<option value="2"'); if ($Selected == '2') echo(' selected="selected"'); echo('>Slovenského jazyka</option>');
   echo('<option value="3"'); if ($Selected == '3') echo(' selected="selected"'); echo('>Jiného jazyka</option>');
   echo('</select>');  	
}

function WriteLanguagesWithoutSel($Selected)
{
   if ($Selected == '0') echo('Původní verze jazyka');
   if ($Selected == '1') echo('Českého jazyka');
   if ($Selected == '2') echo('Slovenského jazyka');
   if ($Selected == '3') echo('Jiného jazyka');
     	
}

function Licence($Licence)
{
  global $Database;
 
  if($Licence == -1) return(true);
  else
  if(isset($_SESSION['User']) and ($_SESSION['User'] <> '') and ($_SESSION['UserID'] != '')) 
  {
    //  $User = $_SESSION['User'];
    $Pass = $_SESSION['Pass'];
    $Line = mysql_fetch_array($Database->SQLCommand('SELECT * FROM user WHERE ID = '.$_SESSION['UserID'].'
      AND GM >= '.$Licence.' AND pass = sha1("'.$Pass.'")'));
    //  echo "SELECT * FROM user WHERE ID = ".$_SESSION['UserID']." AND GM <= $Licence AND pass = '$Pass'";
    return($Line);
  } else 
  { 
	return(false);
  }
}

function MysqlDateTimeToTime($Time)
{
  $Parts = explode(' ', $Time);
  $DateParts = explode('-', $Parts[0]); 
  $TimeParts = explode(':', $Parts[1]);
  $Result = mktime($TimeParts[0], $TimeParts[1], $TimeParts[2], $DateParts[1], $DateParts[2], $DateParts[0]); 
  return($Result);  
}

function GetTranslationTree()
{ 
  global $Database;
  
  $Result = array();
  $DbResult = $Database->SQLCommand('SELECT * FROM `group`');
  while($DbRow = mysql_fetch_assoc($DbResult))
  {
	$DbRow['Items'] = array();
	$Result[$DbRow['Id']] = $DbRow;
  }
  $DbResult = $Database->SQLCommand('SELECT * FROM `group_item`');
  while($DbRow = mysql_fetch_assoc($DbResult))
  {
	$Result[$DbRow['Group']]['Items'][] = $DbRow;
  }
  return($Result);
}

$LogTypes = array
(
  //    index,   indexname  , barva ,  popis
  array('0', '', 'brown', ''), 
  array('1', 'Překlady', 'green', 'Operace s překladdy'),
  array('2', 'Stažení', 'brown', 'Stáhnutí souboru'),
  array('3', 'Uživatelé', 'blue', 'Přihlášení uživatelů, nastavení, registrace'),
  array('4', 'Moderátor', 'orange', 'Operace administrátorů a moderátorů'),
  array('10', 'Chyby', 'red', 'Zachycené chybové hlášení'),
);

$Moderators = array('Překladatel', 'Moderátor', 'Administrátor');

function WriteLog($Text, $Type)
{
  global $Database, $Config;
 
  $user = @$_SESSION['UserID'];
  if($user == '') $user = 0;
  $Database->SelectDatabase($Config['Database']['Database']);    
  $Query = 'INSERT INTO `log` ( `user` , `type` , `text` , `date` , `IP` )
   VALUES ('.$user.', '.$Type.', "'.addslashes($Text).'", NOW(), "'.addslashes($_SERVER['REMOTE_ADDR']).'")';
  $Database->SQLCommand($Query);
}

$client_files = array
(
  '0' => 'LocalizationStrings',
  '1' => 'SpellBufDescription_1',
  '2' => 'SpellDescription_1',
  '3' => 'SpellDescription_2',
  '4' => 'SpellDescription_3',
  '5' => 'SpellDescription_4',
  '6' => 'tallent',
);

function HumanDate($SQLDateTime)
{
  $DateTimeParts = explode(' ', $SQLDateTime);
  $DateParts = explode('-', $DateTimeParts[0]);
  return(($DateParts[2] * 1).'.'.($DateParts[1] * 1).'.'.($DateParts[0] * 1));
}


?>
